New Search

Local Denial of Service Vulnerability in ImageMagick 7.0.5-7 - CVE-2017-9142

oval:org.cisecurity:def:2809

In ImageMagick 7.0.5-7 Q16 a crafted file could trigger an assertion failure in the WriteBlob function in MagickCore/blob.c because of missing checks in the ReadOneJNGImage function in coders/png.c.

Family:
windows
Status:
ACCEPTED
Platform(s):
  • Microsoft Windows 8.1
  • Microsoft Windows 8
  • Microsoft Windows Server 2008 R2
  • Microsoft Windows Server 2000
  • Microsoft Windows Server 2008
  • Microsoft Windows Server 2003
  • Microsoft Windows Server 2016
  • Microsoft Windows Server 2012 R2
  • Microsoft Windows XP
  • Microsoft Windows Server 2012
  • Microsoft Windows Vista
  • Microsoft Windows 10
  • Microsoft Windows 7
Class:
vulnerability
Reference(s):
  • CVE-2017-9142
Product(s):
  • ImageMagick